<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AreaDamageTriggerInsider Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d1b/class_area_damage_trigger_insider.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AreaDamageTriggerInsider Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Extended <a class="el" href="../../d2/db9/class_trigger_insider.html" title="The object which is in a trigger and its metadata.">TriggerInsider</a> for <a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html">AreaDamageTriggerBase</a>.  
 <a href="../../d7/d1b/class_area_damage_trigger_insider.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for AreaDamageTriggerInsider:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d1b/class_area_damage_trigger_insider.png" usemap="#AreaDamageTriggerInsider_map" alt=""/>
  <map id="AreaDamageTriggerInsider_map" name="AreaDamageTriggerInsider_map">
<area href="../../d2/db9/class_trigger_insider.html" title="The object which is in a trigger and its metadata." alt="TriggerInsider" shape="rect" coords="0,0,165,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8fdb033f71236600da29818014f9163a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/class_area_damage_trigger_insider.html#a8fdb033f71236600da29818014f9163a">AreaDamageTriggerInsider</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> obj)</td></tr>
<tr class="separator:a8fdb033f71236600da29818014f9163a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7ed75717b332b5634d88764ffe295fff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1b/class_area_damage_trigger_insider.html#a7ed75717b332b5634d88764ffe295fff">lastDamaged</a></td></tr>
<tr class="memdesc:a7ed75717b332b5634d88764ffe295fff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Last time the object was damaged in seconds.  <a href="../../d7/d1b/class_area_damage_trigger_insider.html#a7ed75717b332b5634d88764ffe295fff">More...</a><br /></td></tr>
<tr class="separator:a7ed75717b332b5634d88764ffe295fff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Extended <a class="el" href="../../d2/db9/class_trigger_insider.html" title="The object which is in a trigger and its metadata.">TriggerInsider</a> for <a class="el" href="../../d3/d0c/class_area_damage_trigger_base.html">AreaDamageTriggerBase</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html#l00002">2</a> of file <a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html">AreaDamageTriggerBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8fdb033f71236600da29818014f9163a" name="a8fdb033f71236600da29818014f9163a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fdb033f71236600da29818014f9163a">&#9670;&#160;</a></span>AreaDamageTriggerInsider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageTriggerInsider::AreaDamageTriggerInsider </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html#l00007">7</a> of file <a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html">AreaDamageTriggerBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7ed75717b332b5634d88764ffe295fff" name="a7ed75717b332b5634d88764ffe295fff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ed75717b332b5634d88764ffe295fff">&#9670;&#160;</a></span>lastDamaged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> AreaDamageTriggerInsider::lastDamaged</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Last time the object was damaged in seconds. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html#l00005">5</a> of file <a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html">AreaDamageTriggerBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/AreaDamage/AreaDamageNew/<a class="el" href="../../dc/d69/_area_damage_trigger_base_8c_source.html">AreaDamageTriggerBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d1b/class_area_damage_trigger_insider.html">AreaDamageTriggerInsider</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
